%define module Storable
%define version 0.6.11
%define release 6
Summary: %{module} module for perl
Name: perl-%{module}
Version: %{version}
Release: %{release}
License: distributable
Group: 		System Environment/Libraries
Source0: %{module}-%{version}.tar.bz2
Url: http://www.cpan.org
BuildRoot: %{_tmppath}/%{name}-buildroot/
Requires: perl >= 5.6.0

%description
%{module} module for perl

%prep
%setup -q -n %{module}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL
make

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT%{_prefix} install

# call spec-helper before creating the file list
s=/usr/share/spec-helper/spec-helper ; [ -x $s ] && $s

%files
%defattr(-,root,root)
%{_mandir}/*/*
%{_prefix}/lib/perl5/site_perl/*/*/Storable.pm
%{_prefix}/lib/perl5/site_perl/*/*/auto/Storable/*

%changelog
* Sat Jul 20 2001 Crutcher Dunnavant <crutcher@redhat.com> 0.6.11-6
- fix lib includes

* Thu Jul 18 2001 Crutcher Dunnavant <crutcher@redhat.com> 0.6.11-4
- imported from mandrake. tweaked file list, to handle auto-compressing
- man pages.

* Sun Jun 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.6.11-3mdk
- Rebuild for the latest perl.
- Remove the Distribution and Vendor Tag.
- Rename the spec file.

* Sat Sep 16 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 0.6.11-2mdk
- Call spec-helper before creating filelist

* Wed Aug 09 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 0.6.11-1mdk
- Macroize package
